<?php

class ConsultarNsuImportado
{
    public $nsu;
    public $parcela;
    public $loja;
    public $dataVenda;
    public $dadoRecebimento;
    public $conexao;

    public function __construct($conexao,$nsu, $parcela, $loja,$dataVenda, MysqlConsulta $dadoRecebimento)
    {   
        $this->conexao = $conexao;
        $this->nsu = $nsu;
        $this->parcela = $parcela;
        $this->loja = $loja;
        $this->dataVenda = $dataVenda;
        $this->dadoRecebimento = $dadoRecebimento;
    }

    public function gerarRest():int
    {
        $dados = $this->dadoRecebimento->vendasPorStatusNsu($this->conexao);

        foreach ($dados as $dados){
            
            $rest = 0;
        }
    }

}